$ v = 'f$verify(0)
$!
$!  COMPILE.COM
$!
$!  Command procedure for compiling NEWSRDR
$!  sources.  Follow with use of LINK.COM to
$!  create the NEWSRDR executable.
$!
$!  Copyright  1994, MadGoat Software.  All rights reserved.
$!
$ olddef = F$ENVIRONMENT("DEFAULT")
$ ON := ON
$ IF := IF
$ THEN := THEN
$ ELSE := ELSE
$ GOTO := GOTO
$ LIBRARY := LIBRARY
$ MESSAGE := MESSAGE
$ MACRO := MACRO
$ SET := SET
$!
$ ON WARNING THEN GOTO bye
$ IF F$GETSYI("HW_MODEL") .GE. 1024
$ THEN
$   AXP = 1
$   BIN = "[-.BIN-AXP]"
$   CC := CC/TIE
$ ELSE
$   AXP = 0
$   BIN = "[-.BIN-VAX]"
$   CC := CC
$ ENDIF
$ SET DEFAULT [.SOURCE]
$ IF F$PARSE(BIN) .EQS. "" THEN CREATE/DIR 'BIN'
$ LIBRARY/CREATE 'BIN'NEWSRDR.OLB
$ SET VERIFY
$ CC/OBJ='BIN'NEWSRDR.OBJ NEWSRDR.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'NEWSRDR.OBJ
$ CC/OBJ='BIN'CMD_READ.OBJ CMD_READ.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'CMD_READ.OBJ
$ CC/OBJ='BIN'CMD_POST.OBJ CMD_POST.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'CMD_POST.OBJ
$ CC/OBJ='BIN'ARTICLE.OBJ ARTICLE.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'ARTICLE.OBJ
$ CC/OBJ='BIN'PARSING.OBJ PARSING.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'PARSING.OBJ
$ CC/OBJ='BIN'MISC.OBJ MISC.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'MISC.OBJ
$ CC/OBJ='BIN'MEM.OBJ MEM.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'MEM.OBJ
$ CC/OBJ='BIN'FILEIO.OBJ FILEIO.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'FILEIO.OBJ
$ CC/OBJ='BIN'CMD_PRINT.OBJ CMD_PRINT.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'CMD_PRINT.OBJ
$ CC/OBJ='BIN'CMD_SETSHO.OBJ CMD_SETSHO.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'CMD_SETSHO.OBJ
$ CC/OBJ='BIN'PAGER.OBJ PAGER.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'PAGER.OBJ
$ CC/OBJ='BIN'GROUPS.OBJ GROUPS.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'GROUPS.OBJ
$ CC/OBJ='BIN'CMD_DIRECTORY.OBJ CMD_DIRECTORY.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'CMD_DIRECTORY.OBJ
$ CC/OBJ='BIN'CMD_MISC.OBJ CMD_MISC.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'CMD_MISC.OBJ
$ CC/OBJ='BIN'MAIL.OBJ MAIL.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'MAIL.OBJ
$ CC/OBJ='BIN'PARSE822.OBJ PARSE822.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'PARSE822.OBJ
$ MACRO/OBJ='BIN'PARSE822_TABLES.OBJ/LIST=NL:/SHOW=EXPAN PARSE822_TABLES.MAR
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'PARSE822_TABLES.OBJ
$ CC/OBJ='BIN'PROFILE.OBJ PROFILE.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'PROFILE.OBJ
$ CC/OBJ='BIN'NEWSRC.OBJ NEWSRC.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'NEWSRC.OBJ
$ CC/OBJ='BIN'NEWGROUPS.OBJ NEWGROUPS.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'NEWGROUPS.OBJ
$ MACRO/OBJ='BIN'PARSE_TABLES.OBJ/LIST=NL:/SHOW=EXPAN PARSE_TABLES.MAR
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'PARSE_TABLES.OBJ
$ SET COMMAND /OBJECT='BIN'CMD_TABLE.OBJ CMD_TABLE.CLD
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'CMD_TABLE.OBJ
$ SET COMMAND /OBJECT='BIN'NEWSRDR_CLD.OBJ NEWSRDR_CLD.CLD
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'NEWSRDR_CLD.OBJ
$ MESSAGE /OBJECT='BIN'NEWS_MSG.OBJ NEWS_MSG.MSG
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'NEWS_MSG.OBJ
$ CC/OBJ='BIN'HANDLER.OBJ HANDLER.C
$ LIBRARY/REPLACE 'BIN'NEWSRDR.OLB 'BIN'HANDLER.OBJ
$ CC/OBJ='BIN'SERVER_SOCKET.OBJ/DEFINE=(MULTINET,MULTINET_OLD_STYLE) SERVER_SOCKET.C
$!'f$verify(0)
$ IF AXP
$ THEN
$  SET VERIFY
$ CC/OBJ='BIN'SERVER_SOCKET_UCX.OBJ/PREFIX=ALL SERVER_SOCKET.C
$!'f$verify(0)
$ ENDIF
$ SET VERIFY
$ CC/OBJ='BIN'SERVER_NETLIB.OBJ SERVER_NETLIB.C
$ CC/OBJ='BIN'KANJI_CONVERSION.OBJ KANJI_CONVERSION.C
$ CC/OBJ='BIN'NAME_CONVERSION.OBJ NAME_CONVERSION.C
$bye: !'f$verify(0)
$ EXIT := EXIT
$ SET DEFAULT 'olddef'
$ EXIT 1+0*F$VERIFY(v)
